Subject: [tsvwg] Fwd: New Version Notification for draft-roca-tsvwg-fecframev2-04.txt

From: Vincent Roca <[email-masked]>
Date: Wed, 28 Jun 2017 10:47:36 +0200

Hello everybody,

Here is a new version of the "FECFRAME extension" I-D.
Main differences are motivated by feedbacks received from Marie-José (see my email sent mid April):

- "Section 3. Architecture Overview" now provides introductory material. It quickly introduces
	FECFRAME architecture, terminology, and key concepts
- References to « convolutional codes » have been replaced by « sliding window codes »

At this stage it is still submitted as an Individual I-D, even if this I-D (and the companion FEC Scheme
I-D) received significant support during WG Item Call at previous IETF98 meeting.

Once again we cross-post this message to the NWCRG mailing list where the work has been initiated.

Cheers,

  Vincent and Ali

> De: [email-masked]
> Objet: New Version Notification for draft-roca-tsvwg-fecframev2-04.txt
> Date: 27 juin 2017 à 18:01:16 UTC+2
> À: "Vincent Roca" <[email-masked]>, "Ali Begen" <[email-masked]>
> 
> 
> A new version of I-D, draft-roca-tsvwg-fecframev2-04.txt
> has been successfully submitted by Vincent Roca and posted to the
> IETF repository.
> 
> Name:		draft-roca-tsvwg-fecframev2
> Revision:	04
> Title:		Forward Error Correction (FEC) Framework Extension to Sliding Window Codes
> Document date:	2017-06-27
> Group:		Individual Submission
> Pages:		20
> URL:            https://www.ietf.org/internet-drafts/draft-roca-tsvwg-fecframev2-04.txt
> Status:         https://datatracker.ietf.org/doc/draft-roca-tsvwg-fecframev2/
> Htmlized:       https://tools.ietf.org/html/draft-roca-tsvwg-fecframev2-04
> Htmlized:       https://datatracker.ietf.org/doc/html/draft-roca-tsvwg-fecframev2-04
> Diff:           https://www.ietf.org/rfcdiff?url2=draft-roca-tsvwg-fecframev2-04
> 
> Abstract:
>   RFC 6363 describes a framework for using Forward Error Correction
>   (FEC) codes with applications in public and private IP networks to
>   provide protection against packet loss.  The framework supports
>   applying FEC to arbitrary packet flows over unreliable transport and
>   is primarily intended for real-time, or streaming, media.  However
>   FECFRAME as per RFC 6363 is restricted to block FEC codes.  The
>   present document extends FECFRAME to support FEC Codes based on a
>   sliding encoding window, in addition to Block FEC Codes, in a
>   backward compatible way.  During multicast/broadcast real-time
>   content delivery, the use of sliding window codes significantly
>   improves robustness in harsh environments, with less repair traffic
>   and lower FEC-related added latency.
> 
> 
> 
> 
> Please note that it may take a couple of minutes from the time of submission
> until the htmlized version and diff are available at tools.ietf.org.
> 
> The IETF Secretariat
>